package com.shanghaichengdi.ghjgitem.controller;




import com.shanghaichengdi.ghjgitem.service.HikangAreaService;
import com.shanghaichengdi.ghjgitem.service.HikangVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author gengaoliu
 */
@CrossOrigin
@RestController
@RequestMapping("/ghjg/hikang")
public class HikangController {

    @Autowired
    private HikangAreaService hikangAreaService;
    @Autowired
    private HikangVideoService hikangVideoService;

    @PostMapping("/getAreaList")
    @ResponseBody
    public String getAreaList(){
        return hikangAreaService.getAreaList();
    }

    @PostMapping("/getVideoList")
    @ResponseBody
    public String getVideoList(String regionIndexCode){
        return hikangVideoService.getVideoList(regionIndexCode);
    }
}