package com.shanghaichengdi.ghjgitem.controller.model.res;

import com.alibaba.excel.annotation.ExcelProperty;
import java.math.BigDecimal;
import lombok.Data;

@Data
public class ShipIdentificationTo {
    @ExcelProperty({"船舶通航感知信息", "序号"})
    private Integer num;
    @ExcelProperty({"船舶通航感知信息", "船舶名称"})
    private String boatName;
    @ExcelProperty({"船舶通航感知信息", "船名图像识别"})
    private String analysisName;
    @ExcelProperty({"船舶通航感知信息", "观测时间"})
    private String analysisTime;
    @ExcelProperty({"船舶通航感知信息", "卡口名称"})
    private String bayonetName;
    @ExcelProperty({"船舶通航感知信息", "MMSI"})
    private String mmsi;
    @ExcelProperty({"船舶通航感知信息", "船舶类型"})
    private String shipType;
    @ExcelProperty({"船舶通航感知信息", "船型长"})
    private String length;
    @ExcelProperty({"船舶通航感知信息", "船型宽"})
    private String width;
    @ExcelProperty({"船舶通航感知信息", "船型高"})
    private String height;
    @ExcelProperty({"船舶通航感知信息", "航向"})
    private String direction;
    @ExcelProperty({"船舶通航感知信息", "总吨"})
    private String zd;
    @ExcelProperty({"船舶通航感知信息", "行速"})
    private BigDecimal velocity;
    @ExcelProperty({"船舶通航感知信息", "船舶识别号"})
    private String boatId;
    @ExcelProperty({"船舶通航感知信息", " 空/重载"})
    private String load;
}
