package com.shanghaichengdi.ghjgitem.mapper;


import com.shanghaichengdi.ghjgitem.vo.BoatPredictInfoVo;
import com.shanghaichengdi.ghjgitem.vo.ForecastBoatInfoVo;
import com.shanghaichengdi.ghjgitem.vo.ForecastOfIncomingShipsVo;
import com.shanghaichengdi.ghjgitem.vo.ReportBoatInfo;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author gengaoliu
 */
@Mapper
public interface ForecastOfIncomingShipsMapper {
  List<ForecastOfIncomingShipsVo> getList(Map<String, Object> map);

  List<ForecastBoatInfoVo> findBoatBasicInfo(
      @Param("mmsi") String mmsi, @Param("boatName") String boatName);

  List<BoatPredictInfoVo> findPredictInfoList(@Param("mmsi") String mmsi);

  List<ReportBoatInfo> findReportBoatInfoList(
      @Param("mmsi") String mmsi, @Param("boatName") String boatName);
}
