package com.shanghaichengdi.ghjgitem.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.Bayonet;
import com.shanghaichengdi.ghjgitem.domain.ShipBaseInfo;
import com.shanghaichengdi.ghjgitem.domain.Video;
import com.shanghaichengdi.ghjgitem.vo.BoatInfoVo;
import com.shanghaichengdi.ghjgitem.vo.ShipIdentificationVo;
import com.shanghaichengdi.ghjgitem.vo.ShipPerceptionInfoVo;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author lag
 */
@Mapper
public interface ShipIdentificationMapper extends BaseMapper<ShipBaseInfo> {
    List<ShipIdentificationVo> getAllPage(Map<String,Object> map);
    List<Bayonet> GetAllBayonet(String name);
    Video GetPicture(String name);

    BoatInfoVo getBoatInfo(String shipId);

    void updateShipBaseInfo(ShipBaseInfo info);

    List<ShipPerceptionInfoVo> getPerceptionInfo(String evenCode);
}
