package com.shanghaichengdi.ghjgitem.service;

import com.shanghaichengdi.ghjgitem.vo.BoatPredictInfoVo;
import com.shanghaichengdi.ghjgitem.vo.ForecastBoatInfoVo;
import com.shanghaichengdi.ghjgitem.vo.ForecastOfIncomingShipsVo;
import com.shanghaichengdi.ghjgitem.vo.ReportBoatInfo;
import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * @author gengaoliu
 */
public interface IForecastOfIncomingShipsService {
  List<ForecastOfIncomingShipsVo> getAllPage(Map<String, Object> map);

  Optional<ForecastBoatInfoVo> findBoatBasicInfo(String mmsi, String boatName);

  Optional<BoatPredictInfoVo> getPredictInfo(String mmsi, String boatName);

  List<ReportBoatInfo> getPortInfo(String mmsi, String boatName);
}
