package com.shanghaichengdi.ghjgitem.vo;

import java.math.BigDecimal;
import java.math.RoundingMode;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * @author gengaoliu
 */
@AllArgsConstructor
@NoArgsConstructor
public class OffSiteEnforcementVo {

  String boatName;
  String time;
  String shipOwner;
  String ownerPhone;
  String bayonetName;
  String direction;
  String shipType;
  String coverage;
  String pushStatus;
  String siteType;

  public String getBoatName() {
    return boatName;
  }

  public void setBoatName(String boatName) {
    this.boatName = boatName;
  }

  public String getTime() {
    return time;
  }

  public void setTime(String time) {
    this.time = time;
  }

  public String getShipOwner() {
    return shipOwner;
  }

  public void setShipOwner(String shipOwner) {
    this.shipOwner = shipOwner;
  }

  public String getOwnerPhone() {
    return ownerPhone;
  }

  public void setOwnerPhone(String ownerPhone) {
    this.ownerPhone = ownerPhone;
  }

  public String getBayonetName() {
    return bayonetName;
  }

  public void setBayonetName(String bayonetName) {
    this.bayonetName = bayonetName;
  }

  public String getDirection() {
    return direction;
  }

  public void setDirection(String direction) {
    this.direction = direction;
  }

  public String getShipType() {
    return shipType;
  }

  public void setShipType(String shipType) {
    this.shipType = shipType;
  }

  public String getCoverage() {
    return coverage;
  }

  public void setCoverage(String coverage) {
    this.coverage = BigDecimal.valueOf(Double.parseDouble(coverage))
        .multiply(BigDecimal.valueOf(100)).setScale(2,
            RoundingMode.HALF_UP).toString() + "%";
  }

  public String getPushStatus() {
    return pushStatus;
  }

  public void setPushStatus(String pushStatus) {
    this.pushStatus = pushStatus;
  }

  public String getSiteType() {
    return siteType;
  }

  public void setSiteType(String siteType) {
    this.siteType = siteType;
  }

  @Override
  public String toString() {
    return "OffSiteEnforcementVo{" +
        "boatName='" + boatName + '\'' +
        ", time='" + time + '\'' +
        ", shipOwner='" + shipOwner + '\'' +
        ", ownerPhone='" + ownerPhone + '\'' +
        ", bayonetName='" + bayonetName + '\'' +
        ", direction='" + direction + '\'' +
        ", shipType='" + shipType + '\'' +
        ", coverage='" + coverage + '\'' +
        ", pushStatus='" + pushStatus + '\'' +
        ", siteType='" + siteType + '\'' +
        '}';
  }
}
