package com.shanghaichengdi.ghjgitem.vo;

import java.math.BigDecimal;
import lombok.Data;

/**
 * @author gengaoliu
 */
@Data
public class SBYJReportDetailVo {

  /** 申办人姓名 */
  String bidName;
  /** 申办人手机号 */
  String phone;
  /** 停靠泊位 */
  String berthName;
  /** 预抵/预离时间 */
  String expectTime;
  /** 报告编号 */
  String reportNo;
  /** 核定航线 */
  String lineCode;
  /** 报告时间 */
  String reportTime;
  /** 前吃水 */
  BigDecimal draftForward;
  /** 后吃水 */
  BigDecimal aftDraft;
  /** 核定航区 */
  String areaCode;
  /** 本港卸/装货量 */
  String portCargo;
  /** 航次日报 */
  String voyageReport;
  /** 实载客量 */
  String capacity;
  /** 本港下/上客量 */
  String portPassenger;
  /** 航次数 */
  String frequency;
  /** 实载车量 */
  String realVehicle;
  /** 本港卸/装车量 */
  String portVehicle;
  /** 实载危险品货量 */
  String realDangerCargo;
  /** 驳船数量 */
  String numOfBarge;
  /** 本港解/加驳船量 */
  String portBarge;
  /** 本港卸/装危品量 */
  String portDangerCargo;
  /** 实载集装箱运量 */
  String realContainerQay;
  /** 本港卸/装集装箱运量 */
  String portContainerQay;
  /** 具体品名 */
  String specificName;
  /** 航行区段 */
  String section;
  /** 客位 */
  String shipPassengerNum;
}
