package com.shanghaichengdi.ghjgitem.controller.model.res;

import com.shanghaichengdi.ghjgitem.domain.BayonetDevice;
import com.shanghaigeography.Util.DateUtils;
import java.text.ParseException;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

/**
 * @author gengaoliu
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BayonetDeviceRes {
  private static final long serialVersionUID = 1L;
  private String id;
  private String type;
  private String bayonetId;
  private String name;
  private String modelNumber;
  private String brand;
  private String deviceId;
  private String installTime;
  private String useStatus;
  private String deleted;
  private String des;
  private String mapx;
  private String mapy;

  public static BayonetDeviceRes from(BayonetDevice device) throws ParseException {
    BayonetDeviceRes bayonetDevice = new BayonetDeviceRes();
    BeanUtils.copyProperties(device, bayonetDevice);
    bayonetDevice.setInstallTime(
        DateUtils.dateToString(device.getInstallTime(), "yyyy-MM-dd HH:mm:ss"));
    return bayonetDevice;
  }
}
