package com.shanghaichengdi.ghjgitem.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.Video;
import com.shanghaichengdi.ghjgitem.domain.WarningType;
import com.shanghaichengdi.ghjgitem.vo.*;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author gengaoliu
 */
@Mapper
public interface AccidentPreWarningMapper extends BaseMapper<WarningType> {

  List<AccidentPreWarningVo> getAllPage(Map<String, Object> info);

  BoatInfoDetailsVo getBoatDetails(String boatName);

  WarnningDetailsVo getWarnDetails(String warnCode);

  Video getPicTureByCode(String warnCode);

  List<BoatReportVo> getReportDetails(String boatName);

  SBYJReportDetailVo getSBYJReportDetails(String reportId);

  List<SBYJEepReportDetailVo> getSBYJEepReportDetails(String reportId);
}
