package com.shanghaichengdi.ghjgitem.service;


import com.shanghaichengdi.ghjgitem.domain.Video;
import com.shanghaichengdi.ghjgitem.domain.WarningType;
import com.shanghaichengdi.ghjgitem.vo.*;
import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * @author gengaoliu
 */
public interface IAccidentPreWarningService {

  List<WarningType> getWarningType();

  List<AccidentPreWarningVo> getAllPage(Map<String, Object> map);

  Optional<BoatInfoDetailsVo> getBoatDetails(String boatName);

  Optional<WarnningDetailsVo> getWarnDetails(String warnCode);

  Optional<Video> getPicTureByCode(String warnCode);

  List<BoatReportVo> getReportDetails(String boatName);

  Optional<SBYJReportDetailVo> getSBYJReportDetails(String reportId);

  List<SBYJEepReportDetailVo> getSBYJEepReportDetails(String reportId);
}
