package com.shanghaichengdi.ghjgitem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.shanghaichengdi.ghjgitem.domain.BayonetDevice;
import com.shanghaichengdi.ghjgitem.domain.DictList;
import com.shanghaichengdi.ghjgitem.mapper.BayonetDeviceMapper;
import com.shanghaichengdi.ghjgitem.service.IBayonetDeviceService;
import com.shanghaichengdi.ghjgitem.vo.BayonetDeviceVo;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author gengaoliu
 */
@Service
public class BayonetDeviceServiceImpl extends ServiceImpl<BayonetDeviceMapper, BayonetDevice>
    implements IBayonetDeviceService {

  @Resource BayonetDeviceMapper mapper;

  @Override
  public void deleteByLogic(String id) {
    Objects.requireNonNull(id, "id cannot be null");
    mapper.deleteByLogic(id);
  }

  @Override
  public List<BayonetDeviceVo> getAllPage(Map<String, Object> info) {
    PageHelper.startPage((int) info.get("current"), (int) info.get("size"));
    return mapper.getAllPage(info);
  }

  @Override
  public List<DictList> getUseState() {
    return mapper.getUseState();
  }
}
